SplDoublyLinkedList::setIteratorMode
SplDoublyLinkedList::top
SplDoublyLinkedList
PHP Manual

# SplDoublyLinkedList::shift

Shifts a node from the beginning of the doubly linked list

### Description

public mixed SplDoublyLinkedList::shift ( void )

### Parameters

This function has no parameters.

### Return Values

The value of the shifted node.

### Errors/Exceptions

Throws RuntimeException when the data-structure is empty.